<?php
/**
 * @file
 * video_presets.features.inc
 */

/**
 * Implementation of hook_video_default_presets().
 */
function video_presets_video_default_presets() {
  $items = array(
    'FLV' => array(
      'name' => 'FLV',
      'description' => 'FLv for flash videos.',
      'settings' => array(
        'video_extension' => 'flv',
        'video_codec' => 'h264',
        'video_preset' => 'none',
        'video_quality' => 'none',
        'video_speed' => 'none',
        'wxh' => '640x480',
        'video_aspectmode' => 'preserve',
        'video_upscale' => 0,
        'audio_codec' => 'aac',
        'audio_quality' => 'none',
        'deinterlace' => 'detect',
        'max_frame_rate' => '',
        'frame_rate' => '',
        'keyframe_interval' => '',
        'video_bitrate' => '',
        'bitrate_cap' => '',
        'buffer_size' => '',
        'one_pass' => 0,
        'skip_video' => 0,
        'audio_bitrate' => '',
        'audio_channels' => '2',
        'audio_sample_rate' => '',
        'skip_audio' => 0,
        'autolevels' => 0,
        'deblock' => 0,
        'denoise' => '0',
        'clip_start' => '',
        'clip_length' => '',
      ),
    ),
    'Mp4' => array(
      'name' => 'Mp4',
      'description' => 'Mp4 with h246 support for iPhone, iPad and HTML5 videos',
      'settings' => array(
        'default' => TRUE,
        'video_extension' => 'mp4',
        'video_codec' => 'h264',
        'video_preset' => 'none',
        'video_quality' => 'none',
        'video_speed' => 'none',
        'wxh' => '640x480',
        'video_aspectmode' => 'preserve',
        'video_upscale' => 0,
        'audio_codec' => 'aac',
        'audio_quality' => 'none',
        'deinterlace' => 'detect',
        'max_frame_rate' => '',
        'frame_rate' => '',
        'keyframe_interval' => '',
        'video_bitrate' => '',
        'bitrate_cap' => '',
        'buffer_size' => '',
        'one_pass' => 0,
        'skip_video' => 0,
        'audio_bitrate' => '',
        'audio_channels' => '2',
        'audio_sample_rate' => '',
        'skip_audio' => 0,
        'autolevels' => 0,
        'deblock' => 0,
        'denoise' => '0',
        'clip_start' => '',
        'clip_length' => '',
      ),
    ),
    'Ogg' => array(
      'name' => 'Ogg',
      'description' => 'Ogg is a free, open standard container format maintained by the Xiph.Org Foundation.',
      'settings' => array(
        'video_extension' => 'ogg',
        'video_codec' => 'theora',
        'video_preset' => 'none',
        'video_quality' => '2',
        'video_speed' => '2',
        'wxh' => '640x480',
        'video_aspectmode' => 'preserve',
        'video_upscale' => 0,
        'audio_codec' => 'vorbis',
        'audio_quality' => '2',
        'deinterlace' => 'detect',
        'max_frame_rate' => '',
        'frame_rate' => '',
        'keyframe_interval' => '',
        'video_bitrate' => '200',
        'bitrate_cap' => '',
        'buffer_size' => '',
        'one_pass' => 0,
        'skip_video' => 0,
        'audio_bitrate' => '',
        'audio_channels' => '2',
        'audio_sample_rate' => '11025',
        'skip_audio' => 0,
        'autolevels' => 0,
        'deblock' => 0,
        'denoise' => '0',
        'clip_start' => '',
        'clip_length' => '',
      ),
    ),
    'Ogv' => array(
      'name' => 'Ogv',
      'description' => 'Ogg is a free, open standard container format maintained by the Xiph.Org Foundation.',
      'settings' => array(
        'video_extension' => 'ogv',
        'video_codec' => 'theora',
        'video_preset' => 'none',
        'video_quality' => 'none',
        'video_speed' => 'none',
        'wxh' => '640x480',
        'video_aspectmode' => 'preserve',
        'video_upscale' => 0,
        'audio_codec' => 'vorbis',
        'audio_quality' => 'none',
        'deinterlace' => 'detect',
        'max_frame_rate' => '',
        'frame_rate' => '',
        'keyframe_interval' => '',
        'video_bitrate' => '',
        'bitrate_cap' => '',
        'buffer_size' => '',
        'one_pass' => 0,
        'skip_video' => 0,
        'audio_bitrate' => '',
        'audio_channels' => '2',
        'audio_sample_rate' => '',
        'skip_audio' => 0,
        'autolevels' => 0,
        'deblock' => 0,
        'denoise' => '0',
        'clip_start' => '',
        'clip_length' => '',
      ),
    ),
    'WebM' => array(
      'name' => 'WebM',
      'description' => 'WebM files consist of video streams compressed with the VP8 video codec and audio streams compressed with the Vorbis audio codec',
      'settings' => array(
        'video_extension' => 'webm',
        'video_codec' => 'vp8',
        'video_preset' => 'none',
        'video_quality' => 'none',
        'video_speed' => 'none',
        'wxh' => '640x480',
        'video_aspectmode' => 'preserve',
        'video_upscale' => 0,
        'audio_codec' => 'aac',
        'audio_quality' => 'none',
        'deinterlace' => 'detect',
        'max_frame_rate' => '',
        'frame_rate' => '',
        'keyframe_interval' => '',
        'video_bitrate' => '',
        'bitrate_cap' => '',
        'buffer_size' => '',
        'one_pass' => 0,
        'skip_video' => 0,
        'audio_bitrate' => '',
        'audio_channels' => '2',
        'audio_sample_rate' => '',
        'skip_audio' => 0,
        'autolevels' => 0,
        'deblock' => 0,
        'denoise' => '0',
        'clip_start' => '',
        'clip_length' => '',
      ),
    ),
  );
  return $items;
}
